# NoResults | tablefilter v0.5.3 API Document

    import {NoResults} from 'tablefilter/src/modules/noResults.js'

public class | source

# NoResults

#### Extends:

Feature → NoResults

UI when filtering yields no matches

## Constructor Summary

Public Constructor
public | constructor (tf: TableFilter) Creates an instance of NoResults |

## Member Summary

Public Members
public | cont : DOMElement Stores container DOM element |
public | content : String Text (accepts HTML) |
public | cssClass : String Css class assigned to container element |
public | customContainer : DOMElement Custom container DOM element |
public | customContainerId : String ID of custom container element |
public | initialized : boolean |
public | onAfterHide : Function Callback fired after the message is hidden |
public | onAfterShow : Function Callback fired after the message is displayed |
public | onBeforeHide : Function Callback fired before the message is hidden |
public | onBeforeShow : Function Callback fired before the message is displayed |

## Method Summary

Public Methods
public | destroy () Remove feature |
public | hide () Hide no results message |
public | init () Initializes NoResults instance |
public | show () Show no results message |
public | toggle () Toggle no results message |

## Inherited Summary

From class Feature
public | config : Object TableFilter configuration |
public | emitter : Emitter TableFilter emitter instance |
public | enabled : Boolean TableFilter feature setting |
public | feature : String Feature name |
public | initialized : Boolean Field indicating whether Feature is initialized |
public | tf : TableFilter TableFilter instance |
public | destroy () Destroy the feature |
public | disable () Disable the feature |
public | enable () Enable the feature |
public | init () Initialize the feature |
public | isEnabled (): Boolean Indicate whether the feature is enabled or not |
public | reset () Reset the feature after being disabled |

## Public Constructors

### public constructor(tf: TableFilter) source

Creates an instance of NoResults

#### Override:

Feature#constructor

#### Params:

Name | Type | Attribute | Description
tf | TableFilter |  | TableFilter instance

## Public Members

### public cont: DOMElement source

Stores container DOM element

### public content: String source

Text (accepts HTML)

### public cssClass: String source

Css class assigned to container element

### public customContainer: DOMElement source

Custom container DOM element

### public customContainerId: String source

ID of custom container element

### public initialized: boolean source

#### Override:

Feature#initialized

### public onAfterHide: Function source

Callback fired after the message is hidden

### public onAfterShow: Function source

Callback fired after the message is displayed

### public onBeforeHide: Function source

Callback fired before the message is hidden

### public onBeforeShow: Function source

Callback fired before the message is displayed

## Public Methods

### public destroy() source

Remove feature

#### Override:

Feature#destroy

### public hide() source

Hide no results message

### public init() source

Initializes NoResults instance

#### Override:

Feature#init

### public show() source

Show no results message

### public toggle() source

Toggle no results message